aboutsummaryrefslogtreecommitdiffstats
path: root/configure
diff options
context:
space:
mode:
authorPeter Seebach <seebs@eee12.(none)>2010-03-16 19:26:24 -0500
committerPeter Seebach <seebs@eee12.(none)>2010-03-16 19:26:24 -0500
commit33d9386e8d818860ce603356eee074d2a2849085 (patch)
tree185f2c14b86df39403971f0651f4b6136dda147f /configure
downloadpseudo-33d9386e8d818860ce603356eee074d2a2849085.tar.gz
pseudo-33d9386e8d818860ce603356eee074d2a2849085.tar.bz2
pseudo-33d9386e8d818860ce603356eee074d2a2849085.zip
initial public release
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure71
1 files changed, 71 insertions, 0 deletions
diff --git a/configure b/configure
new file mode 100755
index 0000000..20eaccb
--- /dev/null
+++ b/configure
@@ -0,0 +1,71 @@
+#!/bin/sh
+#
+# configure, simulation of autoconf script, much simplified
+#
+# Copyright (c) 2008-2010 Wind River Systems, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the Lesser GNU General Public License version 2.1 as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+# See the Lesser GNU General Public License for more details.
+#
+# You should have received a copy of the Lesser GNU General Public License
+# version 2.1 along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+#
+# not a real configure script...
+opt_prefix=
+opt_suffix=
+opt_bits=32
+opt_sqlite=/usr
+
+usage()
+{
+ echo >&2 "usage:"
+ echo >&2 " configure --prefix=... [--suffix=...] [--with-sqlite=...] [--bits=32|64]"
+ exit 1
+}
+
+for arg
+do
+ case $arg in
+ --) shift; break ;;
+ --prefix=*)
+ opt_prefix=${arg#--prefix=}
+ ;;
+ --with-sqlite=*)
+ opt_sqlite=${arg#--with-sqlite=}
+ ;;
+ --suffix=*)
+ opt_suffix=${arg#--suffix=}
+ ;;
+ --bits=*)
+ opt_bits=${arg#--bits=}
+ case $opt_bits in
+ 64) opt_mark64=64;;
+ 32) opt_mark64=;;
+ *) echo >&2 "Unknown bit size $opt_bits (only 32 and 64 known)."
+ ;;
+ esac
+ ;;
+ *)
+ usage
+ ;;
+ esac
+done
+
+if [ -z "$opt_prefix" ]; then
+ usage
+fi
+
+sed -e '
+ s,@PREFIX@,'"$opt_prefix"',g
+ s,@SUFFIX@,'"$opt_suffix"',g
+ s,@SQLITE@,'"$opt_sqlite"',g
+ s,@MARK64@,'"$opt_mark64"',g
+ s,@BITS@,'"$opt_bits"',g
+' < Makefile.in > Makefile